stages:
  - build
  - fuzz
  - test

include:
  - template: Security/API-Fuzzing.gitlab-ci.yml

variables:
  FUZZAPI_TARGET_URL: http://tada:8080
  FUZZAPI_OPENAPI: .gitlab/test-api-specification.json
  #FUZZAPI_PROFILE: Quick-10
  FUZZAPI_PROFILE: Long-100

apifuzzer_fuzz:
  tags: [saas-linux-large-amd64]
  services: # use services to link your app container to the job
    - name: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA
      alias: tada


